net.minecraft.stats

## Class StatisticsFile

- java.lang.Object
- - net.minecraft.stats.StatFileWriter
  - - net.minecraft.stats.StatisticsFile

-     public class StatisticsFile
      extends StatFileWriter

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.stats.StatFileWriter

      `field_150875_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticsFile(MinecraftServer p_i45306_1_, java.io.File p_i45306_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_150873_a(EntityPlayer p_150873_1_, StatBase p_150873_2_, int p_150873_3_)`
    `void` | `func_150876_a(EntityPlayerMP p_150876_1_)`
    `void` | `func_150877_d()`
    `java.util.Set` | `func_150878_c()`
    `boolean` | `func_150879_e()`
    `static java.lang.String` | `func_150880_a(java.util.Map p_150880_0_)`
    `java.util.Map` | `func_150881_a(java.lang.String p_150881_1_)`
    `void` | `func_150882_a()`
    `void` | `func_150883_b()`
    `void` | `func_150884_b(EntityPlayerMP p_150884_1_)`

    - ### Methods inherited from class net.minecraft.stats.StatFileWriter

      `canUnlockAchievement, func_150870_b, func_150871_b, func_150872_a, func_150874_c, hasAchievementUnlocked, writeStat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticsFile

          public StatisticsFile(MinecraftServer p_i45306_1_,
                        java.io.File p_i45306_2_)

  - ### Method Detail

    - #### func_150882_a

          public void func_150882_a()

    - #### func_150883_b

          public void func_150883_b()

    - #### func_150873_a

          public void func_150873_a(EntityPlayer p_150873_1_,
                           StatBase p_150873_2_,
                           int p_150873_3_)

      Overrides:
        `func_150873_a` in class `StatFileWriter`

    - #### func_150878_c

          public java.util.Set func_150878_c()

    - #### func_150881_a

          public java.util.Map func_150881_a(java.lang.String p_150881_1_)

    - #### func_150880_a

          public static java.lang.String func_150880_a(java.util.Map p_150880_0_)

    - #### func_150877_d

          public void func_150877_d()

    - #### func_150876_a

          public void func_150876_a(EntityPlayerMP p_150876_1_)

    - #### func_150884_b

          public void func_150884_b(EntityPlayerMP p_150884_1_)

    - #### func_150879_e

          public boolean func_150879_e()